# Class BaseLoop

Abstract
Namespace: Thelia\Tpex\Element\Loop
Located at core/lib/Thelia/Tpex/Element/Loop/BaseLoop.php

Methods summary
`public` | # `__construct( Symfony\Component\HttpFoundation\Request $request, Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher )` #### Parameters $request `Symfony\Component\HttpFoundation\Request` $request $dispatcher `Symfony\Component\EventDispatcher\EventDispatcherInterface` $dispatcher
`abstract public` | # `exec( mixed $text, mixed $args )`

Properties summary
`public Symfony\Component\HttpFoundation\Request` | $request | `` | #
`public Symfony\Component\EventDispatcher\EventDispatcherInterface` | $dispatcher | `` | #